# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "kaja-callback-macro"
version = "0.1.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Callback macro for kaja-web"
readme = "README.md"
keywords = [
    "web",
    "wasm",
    "rust",
    "webassembly",
    "frontend",
]
license = "MIT"
repository = "https://github.com/johanmattssonm/kaja-callback-macro"

[lib]
name = "kaja_callback_macro"
path = "src/lib.rs"
proc-macro = true

[dependencies.gloo]
version = "0.12.0"

[dependencies.proc-macro2]
version = "1"

[dependencies.quote]
version = "1"

[dependencies.syn]
version = "2"
features = ["full"]

[dev-dependencies.inventory]
version = "0.1"

[dev-dependencies.js-sys]
version = "0.3"

[dev-dependencies.kaja-html-macro]
version = "1.0.3"

[dev-dependencies.serde]
version = "1.0"
features = ["derive"]

[dev-dependencies.serde-wasm-bindgen]
version = "0.6"

[dev-dependencies.wasm-bindgen]
version = "0.2"

[dev-dependencies.wasm-bindgen-test]
version = "0.3"

[dev-dependencies.web-sys]
version = "0.3"
features = ["Window"]
